<!--
//
// <Xinics v3.1 Viewer> Copyright (C) 2001-2004 Xinics Inc. All rights reserved. #3.1.200409.1029
//
var gArrayList = new Array;
var gArrayToc = new Array;
var gLastList=-1;
var gAniNum=0;
var gSnReady=false;

var gZoomState = 1;
var gIsSlideFull = false;
var gIgnoreOnce = false;
var gQuizOnNextPage = false;
var gSNScreenMode = true;
var gPenMode = false;
var gPrevPosition = -1;
var gClosed = false;
var gIsLoadEst = false;
var gPMarkers = "";
var gIsSync=false;
var gIsPen=false;
var gIsSNScreen=false;
var gXmlLoad=false;
var gSkipPos = 0;
var gNoteDirty = false;
var gIsEditToc = false;
var gTocNum=0;

var gLectureTitle, gLectureAuthor, gLectureDate;

var gEventItem;
var gEventTime;
var gEventNum=0;
var gEventCur=0;
var gEventTimeoutId;
var gLastIdx=-1;
var gReservePause=false, gReservePause2=false;

var gScormAPI;
var gLessonLocation;
var gIsPrevStuff = false;
var gSlideDoc;

var gArrayVisit = new Array;

function InitList()
{
	gIsPrevStuff = true;
	gLectureTitle = MP_GetTitle();
	gLectureAuthor = MP_GetAuthor();
	gLectureDate = MP_GetDate();
	count = 0;
	total_list = '';
	mc = MP_MarkerCount();
	gEventItem = new Array(mc);
	gEventTime = new Array(mc);
	gEventNum = mc;
	if (mc <= 0) return 0;
	for(i=1;i<=mc;i++)
	{
		mn=MP_GetMarkerName(i);
		gEventItem[i-1] = mn;
		gEventTime[i-1] = Math.round(MP_GetMarkerTime(i) * 1000);
		if( mn.substr(0,5).toLowerCase()!="slide")
			continue;
		count++;

		temp=get_marker_list(mn,count,Math.round(MP_GetMarkerTime(i)) );
		total_list += temp;
	}
	arr_markerlist = frm_marker_list.document.all.item("total_marker_list");
	arr_markerlist.innerHTML = total_list;
	if (count > 1)
		gArrayList=frm_marker_list.document.all.item("listOfMarker");
	else
	{
		gArrayList = Array();
		gArrayList.length = 1;
		gArrayList[0]=frm_marker_list.document.all.item("listOfMarker");
	}
	return count;
}

function InitListNew()
{
	var HideList;
	gIsPrevStuff = CheckHtmlVersion();
	if(!gXmlLoad) LoadSlideInfo();
	ListTag.XMLDocument.async = false;
	ListTag.XMLDocument.load( GetPrefix() + "list.xml" );
//	if (ListTag.XMLDocument.parseError == 0) gXmlLoad = true;
//	else return 0;
	if (ListTag.XMLDocument.parseError != 0) return 0;
	nodes = ListTag.XMLDocument.childNodes[1].childNodes;
	count = nodes.length-4;
	if (count <= 0) return 0;
	gEventItem = new Array(count);
	gEventTime = new Array(count);
	gEventNum = count;
	total_list = '';
	scount = 0;
	gLectureTitle = nodes[0].text;
	gLectureAuthor = nodes[1].text;
	gLectureDate = nodes[2].text;
	for( i=0; i<count; i++ )
	{
		temp2 = nodes[i+4].text;
		pos = temp2.indexOf(":");
		gEventTime[i] = parseInt( temp2.substr( 0, pos ) , 10 );
		gEventItem[i] = temp2.substr(pos+2,temp2.length-pos+1) ;
		if( gEventItem[i].substr(0,5).toLowerCase()!="slide")
			continue;
		scount++;
		HideList = GetHideListMetadata(scount);
		if (HideList == 'visible')
		{
		temp=get_marker_list(gEventItem[i],scount,Math.round(gEventTime[i]/1000) );
		total_list += temp;
		}
		else
		{
			gArrayToc[scount-1] = -1
		}
	}
	arr_markerlist = frm_marker_list.document.all.item("total_marker_list");
	arr_markerlist.innerHTML = total_list;
	if (scount > 1)
		gArrayList=frm_marker_list.document.all.item("listOfMarker");
	else
	{
		gArrayList = Array();
		gArrayList.length = 1;
		gArrayList[0]=frm_marker_list.document.all.item("listOfMarker");
	}
	return scount;
}
function InitListLive()
{
	gIsPrevStuff = CheckHtmlVersion();
	if(LiveSlideList.document.body.children(0).tagName.toUpperCase() != "P" )
	{
		Next.disabled = true;
		Sync.disabled = true;
		Prev.disabled = true;
		return 0;
	}
	count = LiveSlideList.document.body.children.length;
	total_list = '';
	for( i=0; i<count; i++ )
	{
		temp2 = LiveSlideList.document.body.children(i).innerText;
       	        pos = temp2.indexOf("#") - 1;

		temp=get_marker_list(temp2,i+1,0 );
		total_list += temp;
	}
	arr_markerlist = frm_marker_list.document.all.item("total_marker_list");
	arr_markerlist.innerHTML = total_list;
	if (count > 1)
		gArrayList=frm_marker_list.document.all.item("listOfMarker");
	else
	{
		gArrayList = Array();
		gArrayList.length = 1;
		gArrayList[0]=frm_marker_list.document.all.item("listOfMarker");
	}
	return count;
}
function get_marker_list(markername, ListIndex, t)
{
	d = "";
	if( !LiveMode )	d = FormatTime(t)+" ";

	tp = parseInt(markername.substr(markername.lastIndexOf("*")+1), 10);
	title=markername.substr(0,markername.lastIndexOf("*"));
	title=title.substr(title.indexOf("#")+1,title.length-title.indexOf("#")) + "  ";

	title = parseHtml(title);
	if ( gIsEditToc && !isNullString(title) )
	{
		gArrayToc[ListIndex-1] = -1;
		return '';
	}
	else
		gArrayToc[ListIndex-1] = gTocNum++;

	sHtml = "<nobr><span onclick='vbscript:parent.List_onClick " + ListIndex + "'" ;
	sHtml +=" onmouseover='marker_list_on_mouse_over(this)'" + 
		" onmouseout='marker_list_on_mouse_out(this)'><span id=action></span>" +
		"<span id=listofMarker>"

	sType = GetSubType( markername );
//	if( sType==-1 || sType==0 || sType==4 )
	if( sType == 1 || sType == 6 )
		sHtml += '<img src="./images/list-url.gif" alt="' + d + title + '" align="absmiddle"></img> ';
	else if( sType == 2 )
		sHtml += '<img src="./images/list-image.gif" alt="' + d + title + '" align="absmiddle"></img> ';
	else if( sType == 3 || sType == 8 )
		sHtml += '<img src="./images/list-datavideo.gif" alt="' + d + title + '" align="absmiddle"></img> ';
	else if( sType == 5 )
		sHtml += '<img src="./images/list-appvideo.gif" alt="' + d + title + '" align="absmiddle"></img> ';
	else if( tp <= 3 ) 
		sHtml += '<img src="./images/list-normal.gif" alt="' + d + title + '" align="absmiddle"></img> ';
	else if( tp > 3 )
		sHtml += '<img src="./images/list-datavideo.gif" alt="' + d + title + '" align="absmiddle"></img> ';

	if( tp == 2 || tp == 3 || tp==6 || tp == 7 )
		sHtml += '<img src="./images/list-quiz.gif" alt="' + d + title + '" align="absmiddle"></img> ';

	sHtml += title + "</span></span><br></nobr>";
	return sHtml;
}
function parseHtml (strText)
{
	strText = strText.replace( /\"/g, "&quot;" );
//	strText = strText.replace( /\'/g, "&apos;" );
	strText = strText.replace( /\</g, "&lt;" );
	strText = strText.replace( /\>/g, "&gt;" );
	
	return strText;
}
function isNullString ( str )
{
	str = str.replace(/^(\s*)(.*)$/, "$2");
	str = str.replace(/^(.*)(\S+)(\s*)$/, "$1$2");
	if (str == '') return false;
	else return true;
}
function ChangeEntry(ListIndex, ListScroll)
{
	if( gArrayList!="[object]" )
		return;
	if( gArrayToc.length < ListIndex ) 
		return;
	if( ListIndex == 1 && gArrayToc[0] == -1 )
	{
		if (IsObj(gArrayList[0]))
			gArrayList[0].className='marker_list_on_playing';
		else
			gArrayList.className='marker_list_on_playing';
		
		return;
	}
	
	if (gLastList != -1) gLastIdx = gLastList;
	var LastIdx = gLastIdx;
	
	gLastList = gArrayToc[ListIndex-1];
	if( gLastList == -1 )
		return;
	if( gArrayList[gLastList]!="[object]" )
		return;

	if( LastIdx != -1 )
		gArrayList[LastIdx].className='marker_list_on_mouse_out';
	{
		if (IsObj(gArrayList[0]))
			gArrayList[0].className='marker_list_on_mouse_out';
		else
			gArrayList.className='marker_list_on_mouse_out';
	}	
	//var LastIdx = gLastList;
	//gLastList = gArrayToc[ListIndex-1];
	gArrayList[gLastList].className='marker_list_on_playing';

	if (gLastList > 3 && ListScroll.toUpperCase()=='LISTSCROLL' )
		frm_marker_list.scrollTo(0,(gLastList-3)*14);
	else if (gLastList < LastIdx && ListScroll.toUpperCase()=='LISTSCROLL' )
		frm_marker_list.scrollTo(0,LastIdx*-14);
}
function MM_findObj(n, d) { //v3.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
}
/* Functions that swaps images. */
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

/* Functions that handle preload. */
function MM_preloadImages() { //v3.0
 var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
   var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
   if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MultiMouseOver(obj, prefix)
{
	if (eval("gIs"+obj) ) 
		MM_swapImage(obj,'','images/' + prefix + obj + '_f2.gif',1);
	else
		MM_swapImage(obj,'','images/' + prefix + obj + '_f4.gif',1);
}

function MultiMouseOut(obj, prefix)
{
	if (eval("gIs"+obj)) 
		MM_swapImage(obj,'','images/' + prefix + obj + '.gif',1);
	else
		MM_swapImage(obj,'','images/' + prefix + obj + '_f3.gif',1);
}

function FormatTime(t)
{
	var d;

	d = "";
	if( t >= 3600 )
	{
		d += Math.floor( t / 3600)  + ":" ;
		t -= Math.floor( t / 3600 ) * 3600;
	}
	if( t >= 60 )
	{
		if (Math.floor(t / 60) < 10)
			d += "0";
		d += Math.floor(t / 60) + ":";
		t -= Math.floor(t / 60) * 60;
	}
	else
		d += "00:"

	if (t < 10)
		d += "0";
	d += t;

	return d;
}

function DoHelp()
{
	details = "height=" + (screen.availHeight-100);
	details += ",width=617,left=0,top=0,status=yes,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes"
	window.open("help/help.htm","_blank",details);
}

function DoQuiz(QuizMarker)
{
	pos = QuizMarker.indexOf(",");
	while( pos != -1 )//quiz end
	{
		QuizNum = parseInt(QuizMarker.substr( 0, pos), 10);
		QuizMarker = QuizMarker.substr( pos + 1 );
		url = GetHTMLPrefix();
		if (QuizNum < 10)
			s = "000" + QuizNum.toString(10);
		else if (QuizNum >= 10 && QuizNum < 100)
			s = "00" + QuizNum.toString(10); 
		else if (QuizNum >= 100 && QuizNum < 1000)
			s = "0" + QuizNum.toString(10);
		else
			s = QuizNum.toString(10);
		url = url + "Quiz" + s + ".html";
	//	status = "height=550,width=360,left=0,top=0,status=no,toolbar=no,menubar=no,location=no,scrollbars=yes"
	//	window.open(url,"_blank",status);
	//	status = "dialogHeight=500px;dialogWidth=345px;dialogLeft=0px;dialogTop=0px;status=no;scroll=yes"
		details = "dialogLeft=200px;dialogTop=200px;dialogHeight=500px;dialogWidth=345px;status=no;scroll=yes"
		window.showModalDialog( url, null, details );
		pos = QuizMarker.indexOf(",");
	}
	MP_Resume();
}
function MP_Resume()
{
	var playState = MediaPlayer1.playState;
	//bug - !gbMP7...
	if (gbMP7) playState++;
	switch(playState)
	{
		case 3:
			MP_Play();
			break;
		case 2:
			MP_Pause();
			break;
		case 1:
			MP_Stop();
			break;
	}
}

function DoAnno(SlideIndex)
{
	url = GetHTMLPrefix();

	if (SlideIndex < 10)
		s = "000" + SlideIndex.toString(10);
	else if (SlideIndex >= 10 && SlideIndex < 100)
		s = "00" + SlideIndex.toString(10); 
	else if (SlideIndex >= 100 && SlideIndex < 1000)
		s = "0" + SlideIndex.toString(10);
	else
		s = SlideIndex.toString(10);

	url = url + "c_" + s + ".htm";
	t = document.body.style.posTop + 658;
	l=364;
	l += document.body.style.posLeft;
//	window.showModelessDialog(url , "", "help:no;dialogLeft:" + (window.screenLeft + l) + 
//	"px; dialogTop:" + (window.screenTop + t) + "px;dialogWidth:640px;dialogHeight:50px;status:no;unadorned:yes")

	details = "height=" + 10;
	details += ",width=640,left=" + l + ",top=" + t + 
		",status=no,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes"
	var annotation = window.open(url,"annotation",details);
	annotation.focus();
}

function CheckSN()
{
	var pSN=null;
	try
	{
		pSN = new ActiveXObject("StreamNote2.StreamNote2Ctrl.1")
		pSN = null;
		
		if (!IsObj( document.getElementById("sn2") )) return false;
	}
	catch(e)
	{
		pSN = null;
		return false;
	}
	return true;
}

function CheckVU()
{
	var pVU=null;
	try
	{
		pVU = new ActiveXObject("ViewerUtil.ViewerUtilCtrl.1");
		pVU = null;
		
		if (!IsObj( document.getElementById("ViewerUtil") )) return false;
	}
	catch(e)
	{
		pVU=null;
		return false;
	}
	return true;
}

function SetCookie(sName, sValue, expireday)
{
	if (CheckVU()) ViewerUtil.SetCookie(sName,sValue);
}

function GetCookie(sName)
{
	if (CheckVU()) return ViewerUtil.GetCookie(sName);
	else
		return 0;
}

function DelCookie(sName)
{
	if (CheckVU()) ViewerUtil.DelCookie(sName);
}

function SetAlt( obj, t )
{
	if (IsObj(obj)) obj.alt = t;
}

function IsObj(obj)
{
	if (obj!=null && typeof(obj)!="undefined") return true;
	else return false;
}

function MPDynamicCreate()
{
	var mps="";
	var pWMP=null;
	try
	{
		pWMP=new ActiveXObject("WMPlayer.OCX.7")
		if(!pWMP)
			throw "embed 6";
		pWMP=null;
		gbMP7=true;
		var mps='<OBJECT id=MediaPlayer1 ';
		mps+='style="LEFT: 0px; WIDTH: ' + videoWidth + 'px; TOP: 0px; HEIGHT: '+ videoHeight + 'px" ';
		mps+='classid=CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6 width="100%" height="100%" ';
		mps+='type=application/x-oleobject viewastext> ';
		mps+='	<PARAM NAME="EnableContextMenu" VALUE="0"> ';
		mps+='	<PARAM NAME="uiMode" VALUE="none"> ';
		mps+='	<PARAM NAME="volume" VALUE="100">';
		mps+='	<PARAM NAME="URL" VALUE="">';
		mps+='	<PARAM NAME="stretchToFit" VALUE="true">';
		mps+='</OBJECT> ';
		VideoLayer.innerHTML+=mps;
		MediaPlayer1.attachEvent("buffering",MediaPlayer1_buffering_JS);
		MediaPlayer1.attachEvent("markerHit",MediaPlayer1_markerHit_JS);
		MediaPlayer1.attachEvent("scriptCommand",MediaPlayer1_scriptCommand_JS);
		MediaPlayer1.attachEvent("openStateChange",MediaPlayer1_openStateChangeMP7_JS);
		MediaPlayer1.attachEvent("playStateChange",MediaPlayer1_playStateChangeMP7_JS);
		MediaPlayer1.attachEvent("positionChange",MediaPlayer1_positionChange_JS);
	}
	catch(e)
	{
		try
		{
			pWMP=new ActiveXObject("MediaPlayer.MediaPlayer.1");
			if(!pWMP)
				throw e;
			pWMP=null;
			gbMP7=false;
			var mps='<OBJECT id=MediaPlayer1 ';
			mps+='style="LEFT: 0px; WIDTH: ' + videoWidth + 'px; TOP: 0px; HEIGHT: ' + videoHeight + 'px" ';
			mps+='classid=CLSID:22D6f312-B0F6-11D0-94AB-0080C74C7E95 width="100%" height="100%" ';
			mps+='type=application/x-oleobject viewastext>';
			mps+='	<PARAM NAME="ShowControls" VALUE="0">';
			mps+='	<PARAM NAME="ShowControlBar" VALUE="0">';
			mps+='	<PARAM NAME="ShowTracker" VALUE="0">';
			mps+='	<PARAM NAME="ShowStatusBar" VALUE="0">';
			mps+='	<PARAM NAME="AutoSize" VALUE="0">';
			mps+='	<PARAM NAME="DisplaySize" VALUE="4">';
			mps+='	<PARAM NAME="EnableContextMenu" VALUE="0">';
			mps+='	<PARAM NAME="TransparentAtStart" VALUE="-1">';
			mps+='	<PARAM NAME="Volume" VALUE="0">';
			mps+='	<PARAM NAME="FileName" VALUE="">';
			mps+='</OBJECT> ';
			VideoLayer.innerHTML+=mps;
			MediaPlayer1.attachEvent("buffering",MediaPlayer1_buffering_JS);
			MediaPlayer1.attachEvent("markerHit",MediaPlayer1_markerHit_JS);
			MediaPlayer1.attachEvent("scriptCommand",MediaPlayer1_scriptCommand_JS);
			MediaPlayer1.attachEvent("openStateChange",MediaPlayer1_openStateChangeMP6_JS);
			MediaPlayer1.attachEvent("playStateChange",MediaPlayer1_playStateChangeMP6_JS);
			MediaPlayer1.attachEvent("positionChange",MediaPlayer1_positionChange_JS);
		}
		catch(e)
		{
			alert(MSG_7);
		}
	}
}
function MediaPlayer1_markerHit_JS( MarkerNum )
{
//	OnMarkerHit( MarkerNum );
}

function MediaPlayer1_scriptCommand_JS( scType, Param )
{
	OnScriptCommand( scType, Param );
}

function MediaPlayer1_positionChange_JS( oldPosition, newPosition )
{
	OnPositionChange( oldPosition, newPosition );
}

function MediaPlayer1_buffering_JS( Start )
{
	OnBuffering( Start );
}

function MediaPlayer1_openStateChangeMP6_JS( lOldState, lNewState )
{
	try { OnOpenStateChangeMP6( lOldState, lNewState ); }
	catch(e) {}
}

function MediaPlayer1_openStateChangeMP7_JS( openState )
{
	try { OnOpenStateChangeMP7( openState ); }
	catch(e) {}
}
function MediaPlayer1_playStateChangeMP6_JS( lOldState, lNewState )
{
	try { OnPlayStateChange( lNewState ); }
	catch(e) {}
}

function MediaPlayer1_playStateChangeMP7_JS( playState )
{
	try { OnPlayStateChange( playState ); }
	catch(e) {}
}

function ReserveScrollBar()
{
	if( !CheckSN() ) return false;
	sn2.PrepareNavigation();
}

function GetPrefix()
{
	if( ManagerMode )
		return SlidePath + "/";

	url = sn2.urlFile;
	path = url.replace( /\\/g, "/" );
//	path = path.substr( 0, path.lastIndexOf("/") ); 
	path = path.substr( 0, path.lastIndexOf("/") + 1 );
	return path;
}

function GetHTMLPrefix()
{
	url = GetPrefix();
	url += "HTML/"; 
	return url;
}

function LoadEst()
{
	if( !CheckSN() )
	{
		alert( MSG_6 );
		return false;
	}
	url = GetPrefix() + "output.est";
	if (sn2.LoadFile(url) < 0 )
		return false;
	else
	{
		gGUID = sn2.GetGUID;
		sn2.LoadPrivateFile( sn2.GetGUID() + ".est" );
		return true;
	}

}

function StartVideo()
{
	if( gSnReady ) return;
	gSnReady = true;

	if( !gXmlLoad ) LoadSlideInfo();
	var fullPath = getAsfFilePath() + VideoUrl;
	if( gbMP7 )
	{
		MediaPlayer1.stretchToFit = true;
		if( MediaPlayer1.URL == "" ) MediaPlayer1.URL = fullPath;
//		MediaPlayer1.closedCaption.SAMIFileName = GetPrefix() + "output.smi";
	}
	else
	{
		MediaPlayer1.TransparentAtStart = true;
		MediaPlayer1.SendKeyboardEvents = true;
		if( MediaPlayer1.FileName == "" ) MediaPlayer1.FileName = fullPath;
//		MediaPlayer1.SAMIFileName = GetPrefix() + "output.smi";
	}
}
function MP_GetTitle()
{
	if(gbMP7) return MediaPlayer1.currentMedia.getItemInfo( "title" );
	else return MediaPlayer1.GetMediaInfoString(8);
}
function MP_GetAuthor()
{
	if(gbMP7) return MediaPlayer1.currentMedia.getItemInfo( "author" );
	else MediaPlayer1.GetMediaInfoString(11);
}
function MP_GetDate()
{
	if(gbMP7) return MediaPlayer1.currentMedia.getItemInfo( "rating" );
	else return MediaPlayer1.GetMediaInfoString(9);
}

function MP_Url()
{
	if(gbMP7)
		return MediaPlayer1.currentMedia.sourceURL;
	else
		return MediaPlayer1.SourceLink;
/*
	if(gbMP7)
		return MediaPlayer1.URL;
	else
		return MediaPlayer1.FileName;
*/
}
function MP_Play()
{
	if(!IsObj(MediaPlayer1)) return;
	if(gbMP7)
		MediaPlayer1.controls.play();
	else
		MediaPlayer1.Play();

}

function MP_Pause()
{
	if(!IsObj(MediaPlayer1)) return;
	if(gbMP7)
		MediaPlayer1.controls.pause();
	else
		MediaPlayer1.Pause();
}

function MP_Stop()
{
	if(!IsObj(MediaPlayer1)) return;
	if(gbMP7)
		MediaPlayer1.controls.stop();
	else
		MediaPlayer1.Stop();
}
function MP_GetMarkerName( i )
{
	if(gbMP7)
		return MediaPlayer1.currentMedia.GetMarkerName(i);
	else
		return MediaPlayer1.GetMarkerName(i);
}

function MP_MarkerCount()
{
	if(gbMP7)
		return MediaPlayer1.currentMedia.markerCount;
	else
		return MediaPlayer1.MarkerCount;
}
function MP_Duration()
{
	if(gbMP7)
		return MediaPlayer1.currentMedia.duration;
	else
		return MediaPlayer1.Duration;
}
function MP_CurrentMarker()
{
	if(gbMP7)
	{
		for( index=1; index<=MP_MarkerCount(); index++ )
			if (MP_GetMarkerTime( index ) > MP_CurrentPosition()) break;
		return index-1;
	}
	else
		return MediaPlayer1.CurrentMarker;
}
function MP_CurrentPosition()
{
	if(!IsObj(MediaPlayer1)) return;
	if(gbMP7)
		return MediaPlayer1.controls.currentPosition;
	else
		return MediaPlayer1.CurrentPosition;
}
function MP_SetCurrentPosition(pos)
{
	if(gbMP7)
		MediaPlayer1.controls.currentPosition = pos;
	else
	{
		if (pos == 0) pos = 0.1;
		MediaPlayer1.CurrentPosition = pos;
	}
}
function MP_GetMarkerTime(i)
{
	if(gbMP7)
		return MediaPlayer1.currentMedia.getMarkerTime(i);
	else
		return MediaPlayer1.GetMarkerTime(i)
}
function MP_SourceFile()
{
	if(gbMP7)
	{
		sp=MediaPlayer1.network.sourceProtocol;
		if(sp.toLowerCase() == "file")
			return true;
		else
			return false;
	}
	else
	{
		if(MediaPlayer1.SourceProtocol == 7)
			return true;
		else
			return false;
	}
}
function MP_Volume( volume )
{
	if(gbMP7)
		MediaPlayer1.settings.volume = volume;
	else
		MediaPlayer1.volume = -100 * (100-volume);
}

function MP_Fullscreen(bFullscreen)
{
	if (IsAudioContent()) return;

	try {
		if(gbMP7)
		{
			if( bFullscreen ) MediaPlayer1.fullScreen = true;
			else MediaPlayer1.fullScreen = false;
		}
		else
		{
			if( bFullscreen ) MediaPlayer1.DisplaySize = 3;
			else MediaPlayer1.DisplaySize = 4;
		}
	}
	catch (e)
	{
		return;
	}
}
function LiveMarker( SlideNum )
{
	if(SlideNum > 0)
		return LiveSlideList.document.body.children(SlideNum-1).innerText;
}

function GetMarkerIndex( ListIndex )
{
	var count=1, index, mn;
	for( index=0;index<gEventNum; index++ )
	{
		mn = gEventItem[index];
		if( mn.substr(0,5).toLowerCase()=="slide")
		{
			if (count == ListIndex) break;
			count = count + 1
		}
	}
	return index;
}
function GetListIndex(cur)
{
	var count=0, index, mn;
	for( index=0;index<=cur && index<gEventNum; index++ )
	{
		mn = gEventItem[index];
		if( mn.substr(0,5).toLowerCase()=="slide")
			count = count + 1;
	}
	return count;
}

function IsVideoFull()
{
	if(gbMP7)
		return MediaPlayer1.fullScreen;
	else 
	{
		if(MediaPlayer1.DisplaySize == 3)
			return true;
	}
	return false;
}
function GetSubType(mt)
{
	var pos, s, e, t;
	pos = mt.lastIndexOf( "*" );
	if( pos == -1 ) return -1;
	s = mt.indexOf( ",", pos+1 );
	if( s++ == -1 ) return -1;

	e = mt.lastIndexOf( "@" );
	if (e == -1) e = mt.length;
	e--;
	if (e-s < 0) return -1;
	t = mt.substr(s, e-s+1 );
	return parseInt(t, 10);
}

function IsQuiz(mt)
{
	tp = mt.substr( mt.lastIndexOf("*")+1, 1 );
	if( tp == "2" || tp == "3" || tp=="6" || tp=="7" )
		return true;
	return false;
}

function IsDataVideo(mt)
{
	tp = mt.substr( mt.lastIndexOf("*")+1, 1 );
	if( tp == "4" || tp == "5" || tp=="6" || tp=="7" )
		return true;
	return false;
}

function HasAnno(mt)
{
	tp = mt.substr( mt.lastIndexOf("*")+1, 1 );
	if( tp == "1" || tp == "3" || tp=="5" || tp=="7" )
		return true;
	return false;
}
function GetSlideIndex(mt)
{
	return parseInt( mt.substr( 5, 4 ), 10 );
}

function ShowLayer(obj)
{
	if(IsObj(obj)) obj.style.display = "inline";
}

function HideLayer(obj)
{
	if(IsObj(obj)) obj.style.display = "none";
}

function MoveObj( obj, diff, r, l )
{
	if(!IsObj(obj)) return;
	if (obj.style.posLeft > diff)
		obj.style.posLeft = obj.style.posLeft + r;
	else
		obj.style.posLeft = obj.style.posLeft + l;
}
function PlayObjects(objs, bAni, bVideo)
{
	if( objs == "" ) return;
	var playobj = objs;
	objs += ","
	pos = objs.indexOf(",");
	while( pos != -1 )
	{
		if( pos==0 ) { 
			objs = objs.substr( pos + 1 );
			pos = objs.indexOf(",");
			continue;
		}
		obj = parseInt(objs.substr( 0, pos), 10);
		objs = objs.substr( pos + 1 );
		pos = objs.indexOf(",");
		prop = vPlayObject ( obj, bAni, bVideo);
	}

	pos = playobj.indexOf(",");
	if ( pos != -1 )
		sn2.Playobjects (false, playobj);
	else
		sn2.PlayObject (playobj, prop);
}
function vPlayObject (obj, bAni, bVideo)
{
	pobj = sn2.GetProp( obj, "tool" );
	if( bAni && (pobj==0 || pobj==16 || pobj==17) ) b=true;
	else b=false;
	if (bVideo)
		sn2.PutProp( obj, "bTranslucent", false);
	return b;
  	//sn2.PlayObject(obj, b );
}
function jsParseInt(s) { return parseInt(s, 10); }

function StartTimer( cur )
{
	clearTimeout( gEventTimeoutId );
	if ( !IsObj(document.getElementById("MediaPlayer1")) ) return;
	playState = MediaPlayer1.playState;
	if(!gbMP7) playState++;
	if( playState != 3 ) return;
	if( cur >= gEventNum ) return;
	diff = Math.round(gEventTime[cur] - MP_CurrentPosition() * 1000);
	if( diff <= 50000 )
	{
		if (diff < 0) diff = 0;
		gEventTimeoutId = setTimeout( "EventTimer(true)", diff );
	}
	else
		gEventTimeoutId = setTimeout( "EventTimer(false)", 50000 );
}

function EventTimer(bDoEvent)
{
	if( bDoEvent )
	{
//window.status = gEventCur + "," + gEventItem[gEventCur] + "," + Math.round(gEventTime[gEventCur+1]-MP_CurrentPosition() * 1000);
		StartTimer(gEventCur+1);
		gEventCur++;
		DoEvent( gEventItem[gEventCur-1] );
	}
	else
		StartTimer(gEventCur);
}

function GetEventItem(m) { if(m>=0 && m<gEventNum) return gEventItem[m]; }

function GetEventTime(m) { if(m>=0 && m<gEventNum) return gEventTime[m]; }

function GetCurrentEvent( t )
{
	for( i=0; i<gEventNum; i++ )
	{
		if( gEventTime[i] >= t ) break;
	}
	return i;
}

// code by seere

function getCssColor(n)
{
	var c = "#FFFFFF";
	var StyleSheets = document.styleSheets;
	if (StyleSheets.length < 1)
		return c;
	var sRules = document.styleSheets[0].rules;
	if (sRules.length - 1 < n)
		return c;
	
	return sRules[n].style.backgroundColor;
	//document.styleSheets[0].rules[0].selectorText == "H1"
	//document.styleSheets[0].title
}

function setStrokeColor(id, c)
{
	var o = document.getElementById(id);
	if (o != null) 
		o.bgColor = c;
}

function showAudioLogo ()
{
	var obj = document.getElementById("VideoLogoLayer");
	if ( !IsObj(obj) ) return;

	var str = '<object id=VideoLogo ';
	str += ' classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000 ';
	str += ' codebase=http' + CheckSSL() + '://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0 ';
	str += ' width=100% height=100%> ';
	str += ' <param name=movie value="images/videologo.swf"> ';
	str += ' <param name=quality value=high>';
	str += ' <embed src="images/videologo.swf" quality=high pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="100%" height="100%"> ';
	str += ' </embed> ';
	str += '</object>';
	obj.innerHTML = str;
}

function showCustomLogo ()
{
	var obj = document.getElementById("VideoLogoLayer");
	if ( !IsObj(obj) ) return;

	var str = '<object id=VideoLogo ';
	str += ' classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000 ';
	str += ' codebase=http' + CheckSSL() + '://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0 ';
	str += ' width=100% height=100%> ';
	str += ' <param name=movie value="images/customlogo.swf"> ';
	str += ' <param name=quality value=high>';
	str += ' <embed src="images/customlogo.swf" quality=high pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="100%" height="100%"> ';
	str += ' </embed> ';
	str += '</object>';
	obj.innerHTML = str;
}

function getAsfFilePath () {
  var protocol = this.location.protocol;
  var f = VideoUrl.match(/(\/)|(\\)/);
  if (f != null) return '';	

  var path = '';
  if (protocol == "file:") {
    path = unescape(this.location.pathname.replace(/^(\/)(.*)(\\)(.*)$/i, "$2$3"));
  } else {
    path = unescape(this.location.href.replace(/^(.*)(\/)(.*)$/i, "$1$2"));
  }
  return path;
}

function ReservePause()
{
	MP_Pause();
}

function IsOpenWindow(o)
{
	try
	{
		if ( !IsObj(o) ) return false;
		//return (!o.closed);
		if ( o.status != null ) return true;
		else return false;
	}
	catch(e)
	{
		return false;
	}
}

function getAniNumber ()
{
	var num = 0
	for (var i=1; i<=gEventCur; i++)
	{
		var tmp = gEventItem[gEventCur-i].substr(0,9).toLowerCase();
		if (tmp.substr(0,5) == "slide") break;
		else if (tmp == "animation") num++;
	}
	return num;
}

function SetInvalidate(sType)
{
	try
	{
		if (sType == 6) sn2.SetInvalidate(true);	//flash
		else sn2.SetInvalidate(false);
	}
	catch(e) {}
}

function HideLogo ()
{
	var obj = document.getElementById("VideoLogoLayer");
	if ( !IsObj(obj) ) return;

	var logo = document.getElementById("VideoLogo");
	if (IsObj(logo)) 
	{
		logo = null;
		obj.innerHTML = '<div id="VideoLogo"></div>';
	}
}

function CheckHtmlVersion()
{
	var bPrev = false;
	gSlideDoc = new ActiveXObject("Msxml.DOMDocument");
	if (gSlideDoc !=null)
	{
		gSlideDoc.async = false;
		gSlideDoc.load( GetPrefix() + 'HTML/cpz.xml' );
		if (gSlideDoc.parseError != 0) bPrev = true;
		//gSlideDoc = null;
	}
	return bPrev;
}

function imgMouseOut(obj)
{
	if (gSNScreenMode)
	{
		MM_swapImage(obj,'','images/button_' + obj + '.gif',1);
	}
	else
	{
		MM_swapImage(obj,'','images/button_' + obj + '_f3.gif',1);
	}
}

function imgMouseOver(obj)
{
	if (gSNScreenMode)
	{
		MM_swapImage(obj,'','images/button_' + obj + '_f2.gif',1);
	}
	else
	{
		MM_swapImage(obj,'','images/button_' + obj + '_f3.gif',1);
	}
}

function imgSelectOn(obj)
{
	if (!IsObj(obj)) return;
	if (gSNScreenMode)
	{
		eval(obj).src = 'images/button_'+obj+'_on.gif';
	}
	else
	{
		eval(obj).src = 'images/button_'+obj+'_off.gif';
	}
}

function DoDataItems(num, keyword)
{
	if (gIsPrevStuff || gSlideDoc == null) return;
	num = num -1;
	if (num < 1 && num > gListNum) return;
	var oNodes = gSlideDoc.documentElement.selectNodes("//slide["+num+"]//reference");
	var baseurl = GetHTMLPrefix();
	var details, strAction;
	for (var i=0; i<oNodes.length; i++)
	{
		txt = oNodes[i].selectSingleNode("type").text;
//		url = baseurl;
//		url+= oNodes[i].selectSingleNode("filename").text;
		fn = oNodes[i].selectSingleNode("filename").text;
		switch(txt)
		{
			case "quiz":
//				details = "dialogLeft=200px;dialogTop=200px;dialogHeight=500px;dialogWidth=345px;status=no;scroll=yes";
//				window.showModalDialog( url, null, details );
				sn2.execScript("DoDataItemsBySN('" + baseurl + "','" + fn + "','" + txt +"')", "JavaScript");
				strAction = "play";
				break;
			case "submaterial":
//				details = "left=200, top=200, width=345, height=500, scrollbars=yes, resizable=yes, menubar=no";
//				var submaterial = window.open( url, "_blank", details+"resizable=yes" );
				sn2.execScript("DoDataItemsBySN('" + baseurl + "','" + fn + "','" + txt +"')", "JavaScript");
				strAction = "pause";
//				submaterial.focus();
				break;
		}
	}
	return strAction;
}

function CheckSSL()
{
	var protocol = this.location.protocol.substr(0,5).toLowerCase();
	if (protocol != "https")
		return '';
	else
		return 's';
}

function WriteVisitLog(ListIndex) {
	if (gArrayVisit.length == 0)
		gArrayVisit = new Array(gListNum);

	if (ListIndex > 0 && ListIndex <= gListNum)
		gArrayVisit[ListIndex-1] = true;
}

function isEntirelyVisited() {
	if (gArrayList.length == 0) return false;

	var bVisited = true;
	for (var i=0; i<gArrayVisit.length; i++) {
		if (typeof(gArrayVisit[i]) != "undefined" && gArrayVisit[i] == true) {
			bVisited = bVisited & true;
		} else {
			bVisited = false;
			break;
		}
	}
	
	return bVisited;
}

function LoadSlideInfo()
{
	if(IsObj( document.getElementById("SlideList") ))
	{
		SlideList.XMLDocument.async = false;
		SlideList.XMLDocument.load( GetPrefix() + "slideinfo.xml" );
		if (SlideList.XMLDocument.parseError == 0) gXmlLoad = true;
		else
		{
			SlideList.XMLDocument.load( GetPrefix() + "eStream@xinics.com.xml" );
			if (SlideList.XMLDocument.parseError == 0) gXmlLoad = true;
		}
	}
}

function WriteCurrentStatus (msg, bDelete)
{
	window.status = msg;
	if (bDelete)
		window.status = "";
}

function downloadActiveX() 
{
	window.opener=window;
	window.location.replace ("ViewerOCX.exe");
	setTimeout ("window.close()", 1000);
}

function checkVideoLogo()
{
	if (!IsObj(document.getElementById("VideoLogoLayer"))) return;
	if (gEventCur == 0 || IsAudioContent() ) {
		ShowLayer (VideoLogoLayer);
	} else {
		HideLayer (VideoLogoLayer);
	}
}

function Request(valuename)    //Request [GET]
{
    var rtnval;
    var nowAddress = unescape(location.href);
    var parameters = new Array();
    parameters = (nowAddress.slice(nowAddress.indexOf("?")+1,nowAddress.length)).split("&");
    for(var i = 0 ; i < parameters.length ; i++){
        if(parameters[i].indexOf(valuename) != -1){
            rtnval = parameters[i].split("=")[1];
            if(rtnval == undefined || rtnval == null){
                rtnval = "";
            }
            return rtnval;
        }
    }
}

function drawPicker(cmode)
{
	gPicker = cmode.toLowerCase();
	switch(gPicker)
	{
		case 'color':
//			PenColorLayer.style.posLeft = ControlSet.style.posLeft + ControlSet.style.posWidth - 105;
//			PenColorLayer.style.posTop = ControlSet.style.posTop + 34;
			PenColorLayer.style.posLeft = ControlSet.style.posLeft + ControlSet.style.posWidth - 126;
			PenColorLayer.style.posTop = ControlSet.style.posTop + 48;
			ShowLayer (PenColorLayer);
			break;
		case 'width':
//			PenWidthLayer.style.posLeft = ControlSet.style.posLeft + ControlSet.style.posWidth - 83;
//			PenWidthLayer.style.posTop = ControlSet.style.posTop + 34;
			PenWidthLayer.style.posLeft = ControlSet.style.posLeft + ControlSet.style.posWidth - 106;
			PenWidthLayer.style.posTop = ControlSet.style.posTop + 48;
			ShowLayer (PenWidthLayer);
			break;
	}
}

function setPenColor (obj)
{
	document.images.PenColor.src = obj.src;
	document.images.PenColor.value = obj.value;
	HideLayer (document.getElementById("PenColorLayer"));

	resetSNPenColor();
}

function setPenWidth (obj)
{
	document.images.PenWidth.src = obj.src;
	document.images.PenWidth.value = obj.value;
	HideLayer (document.getElementById("PenWidthLayer"));

	resetSNPenColor();
}

function DoMemo(cmd)
{
	if (!gGUID) return;
	switch (cmd.toUpperCase())
	{
		case 'LOAD':
				ViewerUtil.MemoLoad (gGUID, gCurListIndex, window.event.screenX, window.event.screenY-38);
			break;
		case 'CHECK':
				var o = IsObj(document.getElementById("MemoLayer")) ? 
									document.getElementById("MemoLayer") : IsObj(document.getElementById("NoteLayer")) ? document.getElementById("NoteLayer") : null;
				if (!o) return;

				if (o.style.posLeft > 0)
				{
					posX = o.style.posLeft;
					posY = o.style.posTop;
				} else {
					posX = ControlSet.style.posLeft + ControlSet.style.posWidth - o.style.posRight;
					posY = ControlSet.style.posTop  + o.style.posTop - 43;
				}
				ViewerUtil.MemoCheck (gGUID, gCurListIndex, window.screenLeft+posX, window.screenTop+posY);
			break;
	}
}
-->