<!--
//
// <Xinics v3.1 Viewer> Copyright (C) 2001-2004 Xinics Inc. All rights reserved. #3.1.200407.1021
//
var objTrack = new Object();
var objVolume = new Object();

var diffX = 0;
var totalTime = '';
var gPlayTime = 0;

var gPicker = '';
var penX, penY;

function ControlInit()
{
	document.onmousedown = MouseDownEvent;
	document.onmousemove = MouseMoveEvent;
	document.onmouseup = MouseUpEvent;

	diffX = document.images.tracker.width / 2;

	objTrack.w = readPosition("track", "Width");
	objTrack.h = readPosition("track", "Height");
	objTrack.l = readPosition("track", "Left");
	objTrack.t = readPosition("track", "Top");

	objVolume.w = readPosition("vol", "Width");
	objVolume.h = readPosition("vol", "Height");
	objVolume.l = readPosition("vol", "Left");
	objVolume.t = readPosition("vol", "Top");
	
	document.images.track_unit.width = -diffX;
}

function MouseDownEvent() 
{
	var o = window.event.srcElement;
	var p = null;
	var dx = 0;


	if (typeof(o.name) != "undefined" && o.name.match(/pen/i) != null)
	{
		if (o.name.match(/pencolor/i) != null || o.name.match(/penwidth/i) != null)
		{
			penX = window.event.clientX;
			penY = window.event.clientY;

		}
		return true;
	}

	var x = window.event.offsetX;
	var y = window.event.offsetY;


	if (typeof(o.name) != "undefined" && o.name.match(/tracker/i) == null && (o.name.match(/track/i) != null || o.name.match(/vol/i) != null)) {
		//bgTrack

	} else {
		p = o.parentElement;
		if (p == null || typeof(p.id) == "undefined") 
			return false;

		if (p.id.match(/track/i) != null || p.id.match(/PageLayer/i) != null || p.id.match(/ProgressLayer/i) != null || p.id.match(/TimeLayer/i) != null || p.id.match(/Tracker/i) != null)
		{
			if (o.id.match(/PageLayer/i) != null) {
				dx = PageLayer.style.posLeft;
			} else if (o.id.match(/ProgressLayer/i) != null) {
				dx = PageLayer.style.posWidth;
			} else if (o.id.match(/TimeLayer/i) != null) {
				dx = PageLayer.style.posWidth + ProgressLayer.style.posWidth + TimeLayer.style.posLeft;
			} else if (o.name.match(/Tracker/i) != null) {
				dx = document.images.track_unit.width;
			}
			o = document.images.track_unit;
		}
//		else
//			return false;
	}
	
	if (typeof(o.name) == "undefined")
		return;

	if (o.name.match(/track/i) != null)
	{
		if (x >= 0 && y >= 0 && x <= (objTrack.w) && y <= objTrack.h)
		{
			ResetSlider(x+dx);

			var pos = (document.images.track_unit.width) * gPlayTime / objTrack.w ;
			pos = Math.round(pos * 10) / 10;
			MP_SetCurrentPosition(pos);
		}
	} else if (o.name.match(/vol/i) != null) {
		if (x >= 0 && y >= 0 && x <= (objVolume.w) && y <=objVolume.h)
		{
			setVolume(x);
		}
	}
	return true;
}

function MouseMoveEvent() 
{
	if (gPicker == 'color')
		HideLayer(PenWidthLayer);
	else if (gPicker == 'width')
		HideLayer(PenColorLayer);

	x = window.event.clientX;
	y = window.event.clientY;

	if (x < (penX - 10) || x > (penX + PenColorLayer.style.posWidth + 10) || y < (penY-5) || y > (penY + PenColorLayer.style.posHeight + 5))
		HideLayer(PenColorLayer);
	if (x < (penX - 10) || x > (penX + PenWidthLayer.style.posWidth + 10) || y < (penY-5) || y > (penY + PenWidthLayer.style.posHeight + 5))
		HideLayer(PenWidthLayer);

	var o = window.event.srcElement;
	var n = o.name ;
	if (o != null && typeof(o.id) != "undefined" && (o.id.match(/pagelayer/i) != null || o.id.match(/progresslayer/i) != null || o.id.match(/timelayer/i) != null)) {
		n = "bgTrack";
	}

	var dx = 0;
	if (n == "bgTrack" || n == "track_unit")
	{
		return false;

		if (!IsPlaying()) return false;
		if (window.event.button == 1) 
		{
			
			if (o.id.match(/pagelayer/i) != null) {
				dx = PageLayer.style.posLeft;
			} else if (o.id.match(/progresslayer/i) != null) {
				dx = PageLayer.style.posWidth;
			} else if (o.id.match(/timelayer/i) != null) {
				dx = PageLayer.style.posWidth + TimeLayer.style.posLeft;
				//dx = TimeLayer.style.posLeft;
			}
			ResetSlider (window.event.offsetX + dx);
		}
	}
	if (n == "bgVolume" || n == "volume_unit")
	{
		if (window.event.button == 1)
			setVolume(window.event.offsetX);
	}
	return false;
}

function MouseUpEvent() 
{
}

function readPosition(objId, keyword)
{
	var o = document.getElementById(objId);
	if (o != null && typeof(o) != "undefined")
	{
		return eval('o.style.pos'+keyword);
	}
	else
		return 0;
}

function ResetSlider(x)
{
	if (x > objTrack.w) x = objTrack.w + diffX;
//	tracker.style.posLeft = x;
	document.images.track_unit.width = x - diffX;
	strCurPosition();
}

function setVolume(x)
{
	var b = (gbMP7) ? MediaPlayer1.settings.mute : MediaPlayer1.Mute;
	if (b) return false;

	document.images.volume_unit.width = x;
	var pos = parseInt(document.images.volume_unit.width * 100 / vol.style.posWidth, 10);
	MP_Volume (pos);
}

function ResetPosition(o, cmd)
{
	var cl = o.style.posLeft;
	var ct = o.style.posTop;
	var cw = o.style.posWidth;

	if (cmd == "SLIDEMAX")
	{
		var tw = track.style.posWidth;
		var diff = 11;
		track.style.posLeft = cl + diff;
		track.style.posTop = ct;
		track.style.posWidth = cw - diff * 2; 

		tdSpacer.style.posWidth = track.style.posWidth;
		ResetSlider( track.style.posWidth * document.images.track_unit.width / tw );
		
		vol.style.posLeft = cl + 75;
		vol.style.posTop = ct + 36;

	}
	else if (cmd == "SLIDENORMAL")
	{
		var tw = track.style.posWidth;
		var diff = 11;
		track.style.posLeft = cl + diff;
		track.style.posTop = ct;
		track.style.posWidth = cw - diff * 2; 
		
		tdSpacer.style.posWidth = track.style.posWidth;
		ResetSlider( track.style.posWidth * (document.images.track_unit.width + diffX) / tw );
		
		window.status = "";

		vol.style.posLeft = cl + 75;
		vol.style.posTop = ct + 36;
	}

	if (IsObj(TimeLayer))
	{
		TimeLayer.style.posLeft = track.style.posWidth - (TimeLayer.style.posWidth + PageLayer.style.posWidth + PageLayer.style.posLeft + ProgressLayer.style.posWidth);
	}

	objTrack.w = readPosition("track", "Width");
	objTrack.l = readPosition("track", "Left");
	objTrack.t = readPosition("track", "Top");

	objVolume.l = readPosition("vol", "Left");
	objVolume.t = readPosition("vol", "Top");
}

function SetVideoElapseTime()
{
	var o = document.images.track_unit;
	if (o != null && typeof(o) != "undefined")
		document.images.track_unit.width = objTrack.w * MP_CurrentPosition() / gPlayTime;
	strCurPosition();
//	document.images.track_unit.width = track.style.posWidth * MP_CurrentPosition() / MP_Duration();
//	window.status = parseInt(document.images.track_unit.width * 1000/ objTrack.w)/1000 + ' , ' + parseInt(MP_CurrentPosition()*1000 / gPlayTime)/1000;

	return;
		
	TrackPos.style.posLeft = Track.style.posLeft + (Track.style.posWidth) * 
		MediaPlayer1.CurrentPosition / MediaPlayer1.Duration - (TrackPos.width/2);
}

function IsPlaying()
{
	if (!IsObj(MediaPlayer1)) return false;
	var playState = MediaPlayer1.playState;
	if (!gbMP7) playState++;
					
	if (playState != 1 && playState != 10)
		return true;
	else
		return false;
}

function strCurPosition()
{   
	if(!IsObj(TimeLayer)) return;

	var curPos = MP_CurrentPosition();
	var strDur = strDuration();

	if (strDur == "00:00:00") return;
	if (curPos < 0) curPos = 0;

	var hur = jsParseInt(curPos / 3600);
	if (hur > 0) {
		curPos = curPos - hur * 3600;
	}
	var min = jsParseInt(curPos / 60);
	if (min > 0) {
		curPos = curPos - min * 60;
	}
	var sec = jsParseInt(curPos % 60);

	if ( 10 > hur) hur="0" + hur;
	if ( 10 > min) min="0" + min;
	if ( 10 > sec) sec="0" + sec;

	curPos = hur + ":" + min + ":" + sec;
	TimeLayer.innerHTML = (curPos + " / " + strDur);
}

function strDuration()
{
	if (gPlayTime == 0) gPlayTime = MP_Duration();
	if (totalTime != '') return totalTime;

	var dur = gPlayTime;
	var hur = jsParseInt(dur / 3600);
	if (hur > 0) {
		dur = dur - hur * 3600;
	}
	var min = jsParseInt(dur / 60);
	if (min > 0) {
		dur = dur - min * 60;
	}
	var sec = jsParseInt(dur % 60);

	if ( 10 > hur) hur="0" + hur;
	if ( 10 > min) min="0" + min;
	if ( 10 > sec) sec="0" + sec;

	totalTime = hur + ":" + min + ":" + sec;
	return totalTime;
}

function ShowProgress(str)
{
	if (!IsObj(ProgressLayer) || str == '') return false;
	ProgressLayer.innerText = '| ' + str;
}

function showBuffstr()
{
	var str = '';
	if (gbMP7)
	{
		str = MediaPlayer1.network.bufferingProgress;
	}
	else
	{
		str = MediaPlayer1.BufferingProgress;
	}
	
	if (str != '')
		str = 'Buffering: ' + str + '% ...';

	ShowProgress (str);
}
//-->